Skip to main content

ValidateAddress

POST

Validates address, returns either true or false.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
addressstringrequired
Account address. (Format: Base58 or Hex). Example: TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
resultboolean
Whether the address format is correct.
messagestring
Address format type or error message.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/validateaddress' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM"
}'